Permalink
Browse files

Upgrade to mongoid ~> 3.0.

  • Loading branch information...
1 parent a35f7fa commit d159279c344cc1996076a56a5546fb14cca35570 @simi simi committed Apr 3, 2013
Showing with 20 additions and 7 deletions.
  1. +3 −1 .travis.yml
  2. +7 −1 CHANGELOG.md
  3. +6 −1 Gemfile
  4. +4 −4 mongoid_fulltext.gemspec
View
4 .travis.yml
@@ -1,4 +1,6 @@
rvm:
- 1.9.3
- ruby-head
-
+env:
+ - MONGOID=3.0.0
+ - MONGOID=3.1.0
View
8 CHANGELOG.md
@@ -1,4 +1,10 @@
-0.6.0 (Next Release)
+0.6.1 (4/3/2013)
+--------------------
+
+* [#6](https://github.com/artsy/mongoid_fulltext/pull/6): Upgrade to
+Mongoid ~> 3.0 - [@simi](https://github.com/simi).
+
+0.6.0 (7/16/2012)
--------------------
* [#2](https://github.com/artsy/mongoid_fulltext/pull/2): Upgrade to Mongoid 3.0 - [@volmer](https://github.com/volmer).
View
7 Gemfile
@@ -1,6 +1,11 @@
source "http://rubygems.org"
-gem "mongoid", "~> 3.0.1"
+if ENV['TRAVIS']
+ gem "mongoid", "~> #{ENV['MONGOID']}"
+else
+ gem "mongoid", "~> 3.0"
+end
+
gem "unicode_utils", "~> 1.0.0"
group :development, :test do
View
8 mongoid_fulltext.gemspec
@@ -9,7 +9,7 @@ Gem::Specification.new do |s|
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Aaron Windsor"]
- s.date = "2012-07-16"
+ s.date = "2013-04-03"
s.description = "Full-text search for the Mongoid ORM, using n-grams extracted from text"
s.email = "aaron.windsor@gmail.com"
s.extra_rdoc_files = [
@@ -62,20 +62,20 @@ Gem::Specification.new do |s|
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<mongoid>, ["~> 3.0.1"])
+ s.add_runtime_dependency(%q<mongoid>, ["~> 3.0"])
s.add_runtime_dependency(%q<unicode_utils>, ["~> 1.0.0"])
s.add_development_dependency(%q<bundler>, [">= 0"])
s.add_development_dependency(%q<rspec>, ["~> 2.10.0"])
s.add_development_dependency(%q<jeweler>, ["~> 1.8.3"])
else
- s.add_dependency(%q<mongoid>, ["~> 3.0.1"])
+ s.add_dependency(%q<mongoid>, ["~> 3.0"])
s.add_dependency(%q<unicode_utils>, ["~> 1.0.0"])
s.add_dependency(%q<bundler>, [">= 0"])
s.add_dependency(%q<rspec>, ["~> 2.10.0"])
s.add_dependency(%q<jeweler>, ["~> 1.8.3"])
end
else
- s.add_dependency(%q<mongoid>, ["~> 3.0.1"])
+ s.add_dependency(%q<mongoid>, ["~> 3.0"])
s.add_dependency(%q<unicode_utils>, ["~> 1.0.0"])
s.add_dependency(%q<bundler>, [">= 0"])
s.add_dependency(%q<rspec>, ["~> 2.10.0"])

0 comments on commit d159279

Please sign in to comment.